package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LoadStatus;
import com.huatek.busi.mapper.LoadStatusMapper;
import com.huatek.busi.service.LoadStatusService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




@Slf4j
@Component
@Service(interfaceClass = LoadStatusService.class)
@Transactional(rollbackFor = Exception.class)
public class LoadStatusServiceImpl implements LoadStatusService {
    @Autowired
    LoadStatusMapper loadStatusMapper;

    @Override
    public LoadStatus findOtherLoadStatus(String equipmentId) {
        LoadStatus loadStatus = loadStatusMapper.findOtherLoadStatus(equipmentId);
        return loadStatus;
    }

    @Override
    public LoadStatus findTransformerLoadStatus(String eqmCode) {
        LoadStatus loadStatus = loadStatusMapper.findTransformerLoadStatus(eqmCode);
        return loadStatus;
    }

}
